summaryrefslogtreecommitdiff
path: root/debian/fingerd.postrm
diff options
context:
space:
mode:
authorKatolaZ <katolaz@freaknet.org>2019-02-08 05:14:29 +0000
committerKatolaZ <katolaz@freaknet.org>2019-02-08 05:14:29 +0000
commit9696842a61b6608f10633a984732a145c4fe5c68 (patch)
treec715b7439c3bb1d5d5eb09540952da6adc62a0d3 /debian/fingerd.postrm
parent172540a4a29fa4c0c5f0431bb5bf5b3d08ec92c0 (diff)
add debian/ folder
Diffstat (limited to 'debian/fingerd.postrm')
-rw-r--r--debian/fingerd.postrm21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/fingerd.postrm b/debian/fingerd.postrm
new file mode 100644
index 0000000..7a86064
--- /dev/null
+++ b/debian/fingerd.postrm
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+abort-install | remove | abort-upgrade | upgrade | failed-upgrade | disappear)
+ ;;
+purge)
+ # If netbase is not installed, then we don't need to do the remove.
+ #if command -v update-inetd >/dev/null 2>&1; then
+ if [ -x /usr/sbin/update-inetd ]; then
+ update-inetd --remove "finger .* /usr/sbin/in\.fingerd"
+ fi
+ ;;
+*)
+ echo "$0: incorrect arguments: $*" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#